const mongoose = require('mongoose');
const Schema = mongoose.Schema;

let Question = new Schema({
    question_id: mongoose.Schema.Types.ObjectId,

    lesson_no:{
        type:Number
    },
    lesson_name:{
        type:String
    },
    question_text:{
        type:String
    },
    question_answer:{
        type:String
    },
    defult_mark:{
        type:Number
    },
    time_createdby:{
        type: Date
    },
    time_modifiedby:{
        type: Date
    },
    general_feedback:{
        type: String
    }
});

module.exports = mongoose.model('Question',Question);